Loading...
Searching...
No Matches
Opm::DeckRecord Class Reference

## Public Types

typedef std::vector< DeckItem >::const_iterator | const_iterator

## Public Member Functions

| DeckRecord (std::vector< DeckItem > &&items, const bool check_for_duplicate_names=true)
size_t | size () const
void | addItem (DeckItem deckItem)
DeckItem & | getItem (size_t index)
DeckItem & | getItem (const std::string &name)
DeckItem & | getDataItem ()
const DeckItem & | getItem (size_t index) const
const DeckItem & | getItem (const std::string &name) const
const DeckItem & | getDataItem () const
bool | hasItem (const std::string &name) const
template<class Item>
DeckItem & | getItem ()
template<class Item>
const DeckItem & | getItem () const
const_iterator | begin () const
const_iterator | end () const
void | write (DeckOutput &writer, std::size_t item_offset=0) const
void | write_data (DeckOutput &writer, std::size_t item_offset=0) const
bool | equal (const DeckRecord &other, bool cmp_default, bool cmp_numeric) const
bool | operator== (const DeckRecord &other) const
bool | operator!= (const DeckRecord &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static DeckRecord | serializationTestObject ()

## Friends

std::ostream & | operator<< (std::ostream &os, const DeckRecord &record)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/DeckRecord.hpp
- opm/input/eclipse/Deck/DeckRecord.cpp